# arm_fir_instance_f32 Struct Reference

Instance structure for the floating-point FIR filter. More...

`#include <arm_math.h>`

## Data Fields

uint16_t | numTaps
float32_t * | pState
float32_t * | pCoeffs

## Detailed Description

Instance structure for the floating-point FIR filter.

Examples:

  arm_fir_example_f32.c, and arm_signal_converge_example_f32.c.

Definition at line 1006 of file arm_math.h.

## Field Documentation

uint16_t arm_fir_instance_f32::numTaps

number of filter coefficients in the filter.

Definition at line 1008 of file arm_math.h.

float32_t* arm_fir_instance_f32::pState

points to the state variable array. The array is of length numTaps+blockSize-1.

Definition at line 1009 of file arm_math.h.

float32_t* arm_fir_instance_f32::pCoeffs

points to the coefficient array. The array is of length numTaps.

Definition at line 1010 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines